Subject: Re: mmap question on ppc440

From: Josh Boyer <[email-masked]>
Date: Mon, 5 Nov 2007 15:16:59 -0600

On Mon, 05 Nov 2007 16:02:59 -0500
"Steven A. Falco" <[email-masked]> wrote:

> I am attempting to access the CPLD on the AMCC Sequoia board from 
> user-land.  I open /dev/mem, and mmap it, then try to access the 
> resulting pointer.  That works fine when accessing physical addresses 
> that correspond to RAM, but as soon as I try to access the CPLD at 
> physical address 0xc0000000, I get an infinite machine check.

That's because the CPLD is actually at physical address 0x1C0000000.
Yay for 36-bit physical addresses.

josh